#include<stdio.h>
int main(){
	
	int n;
	scanf("%d",&n);
	
	int a[n];
	for(int i=0;i<n;i++){
		scanf("%d",&a[i]);
	}
	
	int q;
	scanf("%d",&q);
	
	int l[q],r[q];
	for(int i=0;i<q;i++){
		scanf("%d %d",&l[i],&r[i]);
	}
	
	int swp;
	for(int i=0;i<q;i++){
		
		swp=0;
		
			for(int k=l[i]-1;k<r[i]-1-1;k++){
			if(a[k]>a[k+1])swp++;
			if(swp>1)break;
			
		}
		
		if(swp>1)printf("NE\n");
		else printf("DA\n");
	}

    return 0;
}